// $Id: server.cpp,v 1.1 1999/04/30 00:57:13 schmidt Exp $

// ============================================================================
//
// = LIBRARY
//    examples/DLL_ORB/Misc
//
// = FILENAME
//    main.cpp
//
// = DESCRIPTION
//   This directory contains an example that illustrates how the ACE
//   Service Configurator can dynamically configure an ORB from a
//   svc.config file.  
//
// = AUTHOR
//    Doug Schmidt <schmidt@cs.wustl.edu>
//
// ============================================================================

#include "ace/Service_Config.h"

ACE_RCSID(Misc, main, "$Id: server.cpp,v 1.1 1999/04/30 00:57:13 schmidt Exp $")

int
main (int argc, ASYS_TCHAR *argv[])
{
  if (ACE_Service_Config::open (argc, argv) == -1 && errno != ENOENT)
    ACE_ERROR_RETURN ((LM_ERROR,
                       ASYS_TEXT ("%p\n"),
                       ASYS_TEXT ("open")),
                      1);

  // Run forever, performing the configured services until we
  // shutdown.

  ACE_Reactor::run_event_loop ();
  return 0;
}
